package com.qmth.distributed.print.business.bean.dto.report;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description: 期末成绩知识点分数图dto
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2024/2/26
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class FinalScoreDimensionOverviewDto implements Serializable {

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "知识点id")
    private Long dimensionId;

    @ApiModelProperty(value = "最高分")
    private Double maxScore;

    @ApiModelProperty(value = "最低分")
    private Double minScore;

    @ApiModelProperty(value = "平均分")
    private Double avgScore;

    public FinalScoreDimensionOverviewDto() {

    }

    public FinalScoreDimensionOverviewDto(Long dimensionId, Double maxScore, Double minScore, Double avgScore) {
        this.dimensionId = dimensionId;
        this.maxScore = maxScore;
        this.minScore = minScore;
        this.avgScore = avgScore;
    }

    public Long getDimensionId() {
        return dimensionId;
    }

    public void setDimensionId(Long dimensionId) {
        this.dimensionId = dimensionId;
    }

    public Double getMaxScore() {
        return maxScore;
    }

    public void setMaxScore(Double maxScore) {
        this.maxScore = maxScore;
    }

    public Double getMinScore() {
        return minScore;
    }

    public void setMinScore(Double minScore) {
        this.minScore = minScore;
    }

    public Double getAvgScore() {
        return avgScore;
    }

    public void setAvgScore(Double avgScore) {
        this.avgScore = avgScore;
    }
}
