package com.qmth.distributed.print.business.bean.dto.report;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @Description: 期末成绩dto
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2024/2/26
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class FinalScoreDto implements Serializable {

    @ApiModelProperty(value = "期末成绩目标总分")
    private Double finalScoreTargetSumScore;

    @ApiModelProperty(value = "期末成绩目标整体权重")
    private BigDecimal finalScoreSumWeight;

    @ApiModelProperty(value = "期末成绩知识点分数")
    private Double finalScoreDimensionScore;

    public FinalScoreDto() {

    }

    public FinalScoreDto(Double finalScoreTargetSumScore, BigDecimal finalScoreSumWeight, Double finalScoreDimensionScore) {
        this.finalScoreTargetSumScore = finalScoreTargetSumScore;
        this.finalScoreSumWeight = finalScoreSumWeight;
        this.finalScoreDimensionScore = finalScoreDimensionScore;
    }

    public Double getFinalScoreTargetSumScore() {
        return finalScoreTargetSumScore;
    }

    public void setFinalScoreTargetSumScore(Double finalScoreTargetSumScore) {
        this.finalScoreTargetSumScore = finalScoreTargetSumScore;
    }

    public BigDecimal getFinalScoreSumWeight() {
        return finalScoreSumWeight;
    }

    public void setFinalScoreSumWeight(BigDecimal finalScoreSumWeight) {
        this.finalScoreSumWeight = finalScoreSumWeight;
    }

    public Double getFinalScoreDimensionScore() {
        return finalScoreDimensionScore;
    }

    public void setFinalScoreDimensionScore(Double finalScoreDimensionScore) {
        this.finalScoreDimensionScore = finalScoreDimensionScore;
    }
}
