package com.qmth.distributed.print.business.bean.dto.report;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * @Description: 报告课程考核成绩评价明细结果-考生-平时成绩dto
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2024/2/26
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class ReportExamStudentUsualScoreDto implements Serializable {

    @ApiModelProperty(value = "权重")
    private BigDecimal weight;

    @ApiModelProperty(value = "平时成绩对象集合")
    private List<ReportExamStudentUsualScoreObjDto> scoreList;

    public ReportExamStudentUsualScoreDto() {

    }

    public ReportExamStudentUsualScoreDto(BigDecimal weight, List<ReportExamStudentUsualScoreObjDto> scoreList) {
        this.weight = weight;
        this.scoreList = scoreList;
    }

    public ReportExamStudentUsualScoreDto(List<ReportExamStudentUsualScoreObjDto> scoreList) {
        this.scoreList = scoreList;
    }

    public BigDecimal getWeight() {
        return weight;
    }

    public void setWeight(BigDecimal weight) {
        this.weight = weight;
    }

    public List<ReportExamStudentUsualScoreObjDto> getScoreList() {
        return scoreList;
    }

    public void setScoreList(List<ReportExamStudentUsualScoreObjDto> scoreList) {
        this.scoreList = scoreList;
    }
}
